> For the complete documentation index, see [llms.txt](https://gl-docs.gitbook.io/zkpass/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/restful-api/overview.md).

# Overview

## Prerequisites

Before you get started with the zkPass API, here's what you'll need:

1. [API Credentials](/zkpass/zkpass-developers-guide/zkpass-overview/api-key.md)
2. User Data Token
3. DVR Token

## How to Access the API

The zkPass API uses a familiar approach called basic authentication to ensure secure access. Here's what you'll need:

* **API Key:** This unique identifier acts like your username for the API.
* **API Secret Key:** Consider this your password, but much more secure. Keep it confidential!

{% hint style="info" %}
Register on the [zkPass portal](https://portal.ssi.id/en) to obtain your API and secret keys.
{% endhint %}

### **Including Your Credentials:**

To access the API, you'll need to provide both your API Key and API Secret Key in every request you make. They should be included in the authorization header of your requests.

### **Don't Have Credentials Yet?**

No worries! If you haven't received your API credentials, simply fill out our easy-to-use [form](https://docs.google.com/forms/d/e/1FAIpQLSdvaJGo8NYWA5ObmRn3OIbKYeIFhr8PLGguhuKlBqIx75geUw/viewform) to request them. We'll get you set up in no time.

## Utilities

Our utilities section provides a detailed guide on creating a key pair. This key pair is used for signing and encrypting your user data token (and DVR token, if needed). Here's a quick overview of the steps involved:

1. [Generate Key Pair](/zkpass/zkpass-developers-guide/api-reference/restful-api/utilities/generate-key-pair.md)
2. [Sign User Data and DVR](/zkpass/zkpass-developers-guide/api-reference/restful-api/utilities/sign-user-data-and-dvr.md)
3. [Encrypt User Data and DVR](/zkpass/zkpass-developers-guide/api-reference/restful-api/utilities/encrypt-user-data-and-dvr.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/restful-api/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
